<?php
/*
Plugin Name: Tabs
Plugin URI: http://steachs.com
Description:在側邊欄建立TAB分頁選單，節省側邊欄空間使用，支援獨立自訂背景圖示。
Author: Scorpio Liu
Version: 1.0
Stable tag: tab
Author URI: http://steachs.com/
*/
require_once(dirname(__FILE__).'/functions.php');
class widget_test extends WP_Widget {
    function widget_test() {
        $widget_ops = array('description' => 'Tabs分頁選單');
        $this->WP_Widget('widget_test', 'Tabs', $widget_ops);
    }
    function widget($args, $instance) {
        extract($args);
        $title = apply_filters('widget_title', esc_attr($instance['title']));
        $limit = strip_tags($instance['limit']);
        echo $before_widget.$before_title.$title.$after_title;
		echo '<ul>';
		require_once(dirname(__FILE__).'/main.php');
		echo '</ul>';
        echo $after_widget;
    }
    function update($new_instance, $old_instance) {
        if (!isset($new_instance['submit'])) {
            return false;
        }
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['limit'] = strip_tags($new_instance['limit']);
        return $instance;
    }
    function form($instance) {
        global $wpdb;
        $instance = wp_parse_args((array) $instance, array('title' => '', 'limit' => ''));
        $title = esc_attr($instance['title']);
        $limit = strip_tags($instance['limit']);
?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>">顯示標題：<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label>
        </p>
        <input type="hidden" id="<?php echo $this->get_field_id('submit'); ?>" name="<?php echo $this->get_field_name('submit'); ?>" value="1" />
<?php
    }
}
add_action('widgets_init', 'widget_test_init');
function widget_test_init() {
    register_widget('widget_test');
}
?>